summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2016-11-09 23:53:24 -0500
committerMike Frysinger <vapier@gentoo.org>2016-11-09 23:57:14 -0500
commitf0962e9d29a9aec5a11777d6753bd0ec1bd485b2 (patch)
tree992644bd2e24feed0ba8a1df229e96e19daaf7bc /net-nds
parentsys-apps/gentoo-functions: fix source errors w/dumb terminals (diff)
downloadgentoo-f0962e9d29a9aec5a11777d6753bd0ec1bd485b2.tar.gz
gentoo-f0962e9d29a9aec5a11777d6753bd0ec1bd485b2.tar.bz2
gentoo-f0962e9d29a9aec5a11777d6753bd0ec1bd485b2.zip
net-nds/openldap: skip acct creation for USE=minimal
The accounts are only used by the ldap server, not its libraries, so skip account creation in those cases.
Diffstat (limited to 'net-nds')
-rw-r--r--net-nds/openldap/openldap-2.3.43-r3.ebuild8
-rw-r--r--net-nds/openldap/openldap-2.3.43-r4.ebuild8
-rw-r--r--net-nds/openldap/openldap-2.4.38-r2.ebuild8
-rw-r--r--net-nds/openldap/openldap-2.4.39.ebuild8
-rw-r--r--net-nds/openldap/openldap-2.4.40-r2.ebuild8
-rw-r--r--net-nds/openldap/openldap-2.4.40-r4.ebuild8
-rw-r--r--net-nds/openldap/openldap-2.4.40.ebuild8
-rw-r--r--net-nds/openldap/openldap-2.4.42-r1.ebuild8
-rw-r--r--net-nds/openldap/openldap-2.4.42.ebuild8
-rw-r--r--net-nds/openldap/openldap-2.4.43-r1.ebuild8
-rw-r--r--net-nds/openldap/openldap-2.4.43.ebuild8
-rw-r--r--net-nds/openldap/openldap-2.4.44.ebuild8
12 files changed, 72 insertions, 24 deletions
diff --git a/net-nds/openldap/openldap-2.3.43-r3.ebuild b/net-nds/openldap/openldap-2.3.43-r3.ebuild
index 43fc797b82b..7d5c8c02345 100644
--- a/net-nds/openldap/openldap-2.3.43-r3.ebuild
+++ b/net-nds/openldap/openldap-2.3.43-r3.ebuild
@@ -188,8 +188,12 @@ pkg_setup() {
openldap_find_versiontags
fi
- enewgroup ldap 439
- enewuser ldap 439 -1 /usr/$(get_libdir)/openldap ldap
+ # The user/group are only used for running daemons which are
+ # disabled in minimal builds, so elide the accounts too.
+ if ! use minimal ; then
+ enewgroup ldap 439
+ enewuser ldap 439 -1 /usr/$(get_libdir)/openldap ldap
+ fi
}
src_prepare() {
diff --git a/net-nds/openldap/openldap-2.3.43-r4.ebuild b/net-nds/openldap/openldap-2.3.43-r4.ebuild
index bdb8c8d677c..e8c1aa5dbf5 100644
--- a/net-nds/openldap/openldap-2.3.43-r4.ebuild
+++ b/net-nds/openldap/openldap-2.3.43-r4.ebuild
@@ -188,8 +188,12 @@ pkg_setup() {
openldap_find_versiontags
fi
- enewgroup ldap 439
- enewuser ldap 439 -1 /usr/$(get_libdir)/openldap ldap
+ # The user/group are only used for running daemons which are
+ # disabled in minimal builds, so elide the accounts too.
+ if ! use minimal ; then
+ enewgroup ldap 439
+ enewuser ldap 439 -1 /usr/$(get_libdir)/openldap ldap
+ fi
}
src_prepare() {
diff --git a/net-nds/openldap/openldap-2.4.38-r2.ebuild b/net-nds/openldap/openldap-2.4.38-r2.ebuild
index 54cb2f66c02..a24614bbb65 100644
--- a/net-nds/openldap/openldap-2.4.38-r2.ebuild
+++ b/net-nds/openldap/openldap-2.4.38-r2.ebuild
@@ -270,8 +270,12 @@ pkg_setup() {
openldap_find_versiontags
fi
- enewgroup ldap 439
- enewuser ldap 439 -1 /usr/$(get_libdir)/openldap ldap
+ # The user/group are only used for running daemons which are
+ # disabled in minimal builds, so elide the accounts too.
+ if ! use minimal ; then
+ enewgroup ldap 439
+ enewuser ldap 439 -1 /usr/$(get_libdir)/openldap ldap
+ fi
}
src_prepare() {
diff --git a/net-nds/openldap/openldap-2.4.39.ebuild b/net-nds/openldap/openldap-2.4.39.ebuild
index 354d070d4b9..09e8f854a74 100644
--- a/net-nds/openldap/openldap-2.4.39.ebuild
+++ b/net-nds/openldap/openldap-2.4.39.ebuild
@@ -269,8 +269,12 @@ pkg_setup() {
openldap_find_versiontags
fi
- enewgroup ldap 439
- enewuser ldap 439 -1 /usr/$(get_libdir)/openldap ldap
+ # The user/group are only used for running daemons which are
+ # disabled in minimal builds, so elide the accounts too.
+ if ! use minimal ; then
+ enewgroup ldap 439
+ enewuser ldap 439 -1 /usr/$(get_libdir)/openldap ldap
+ fi
}
src_prepare() {
diff --git a/net-nds/openldap/openldap-2.4.40-r2.ebuild b/net-nds/openldap/openldap-2.4.40-r2.ebuild
index 3aab68cc03d..3330f9026d5 100644
--- a/net-nds/openldap/openldap-2.4.40-r2.ebuild
+++ b/net-nds/openldap/openldap-2.4.40-r2.ebuild
@@ -288,8 +288,12 @@ pkg_setup() {
openldap_find_versiontags
fi
- enewgroup ldap 439
- enewuser ldap 439 -1 /usr/$(get_libdir)/openldap ldap
+ # The user/group are only used for running daemons which are
+ # disabled in minimal builds, so elide the accounts too.
+ if ! use minimal ; then
+ enewgroup ldap 439
+ enewuser ldap 439 -1 /usr/$(get_libdir)/openldap ldap
+ fi
}
src_prepare() {
diff --git a/net-nds/openldap/openldap-2.4.40-r4.ebuild b/net-nds/openldap/openldap-2.4.40-r4.ebuild
index d7a9f345784..b12340ef2bb 100644
--- a/net-nds/openldap/openldap-2.4.40-r4.ebuild
+++ b/net-nds/openldap/openldap-2.4.40-r4.ebuild
@@ -288,8 +288,12 @@ pkg_setup() {
openldap_find_versiontags
fi
- enewgroup ldap 439
- enewuser ldap 439 -1 /usr/$(get_libdir)/openldap ldap
+ # The user/group are only used for running daemons which are
+ # disabled in minimal builds, so elide the accounts too.
+ if ! use minimal ; then
+ enewgroup ldap 439
+ enewuser ldap 439 -1 /usr/$(get_libdir)/openldap ldap
+ fi
}
src_prepare() {
diff --git a/net-nds/openldap/openldap-2.4.40.ebuild b/net-nds/openldap/openldap-2.4.40.ebuild
index d43fc017190..8268a011b4b 100644
--- a/net-nds/openldap/openldap-2.4.40.ebuild
+++ b/net-nds/openldap/openldap-2.4.40.ebuild
@@ -274,8 +274,12 @@ pkg_setup() {
openldap_find_versiontags
fi
- enewgroup ldap 439
- enewuser ldap 439 -1 /usr/$(get_libdir)/openldap ldap
+ # The user/group are only used for running daemons which are
+ # disabled in minimal builds, so elide the accounts too.
+ if ! use minimal ; then
+ enewgroup ldap 439
+ enewuser ldap 439 -1 /usr/$(get_libdir)/openldap ldap
+ fi
}
src_prepare() {
diff --git a/net-nds/openldap/openldap-2.4.42-r1.ebuild b/net-nds/openldap/openldap-2.4.42-r1.ebuild
index d86a0f9fbb3..2803acd5baf 100644
--- a/net-nds/openldap/openldap-2.4.42-r1.ebuild
+++ b/net-nds/openldap/openldap-2.4.42-r1.ebuild
@@ -298,8 +298,12 @@ pkg_setup() {
openldap_find_versiontags
fi
- enewgroup ldap 439
- enewuser ldap 439 -1 /usr/$(get_libdir)/openldap ldap
+ # The user/group are only used for running daemons which are
+ # disabled in minimal builds, so elide the accounts too.
+ if ! use minimal ; then
+ enewgroup ldap 439
+ enewuser ldap 439 -1 /usr/$(get_libdir)/openldap ldap
+ fi
}
src_prepare() {
diff --git a/net-nds/openldap/openldap-2.4.42.ebuild b/net-nds/openldap/openldap-2.4.42.ebuild
index 2cabc23dc8b..92073435378 100644
--- a/net-nds/openldap/openldap-2.4.42.ebuild
+++ b/net-nds/openldap/openldap-2.4.42.ebuild
@@ -288,8 +288,12 @@ pkg_setup() {
openldap_find_versiontags
fi
- enewgroup ldap 439
- enewuser ldap 439 -1 /usr/$(get_libdir)/openldap ldap
+ # The user/group are only used for running daemons which are
+ # disabled in minimal builds, so elide the accounts too.
+ if ! use minimal ; then
+ enewgroup ldap 439
+ enewuser ldap 439 -1 /usr/$(get_libdir)/openldap ldap
+ fi
}
src_prepare() {
diff --git a/net-nds/openldap/openldap-2.4.43-r1.ebuild b/net-nds/openldap/openldap-2.4.43-r1.ebuild
index 01b0bc4226f..dd87feaa5dd 100644
--- a/net-nds/openldap/openldap-2.4.43-r1.ebuild
+++ b/net-nds/openldap/openldap-2.4.43-r1.ebuild
@@ -301,8 +301,12 @@ pkg_setup() {
openldap_find_versiontags
fi
- enewgroup ldap 439
- enewuser ldap 439 -1 /usr/$(get_libdir)/openldap ldap
+ # The user/group are only used for running daemons which are
+ # disabled in minimal builds, so elide the accounts too.
+ if ! use minimal ; then
+ enewgroup ldap 439
+ enewuser ldap 439 -1 /usr/$(get_libdir)/openldap ldap
+ fi
}
src_prepare() {
diff --git a/net-nds/openldap/openldap-2.4.43.ebuild b/net-nds/openldap/openldap-2.4.43.ebuild
index 978f7d186e6..10dcd001ab6 100644
--- a/net-nds/openldap/openldap-2.4.43.ebuild
+++ b/net-nds/openldap/openldap-2.4.43.ebuild
@@ -298,8 +298,12 @@ pkg_setup() {
openldap_find_versiontags
fi
- enewgroup ldap 439
- enewuser ldap 439 -1 /usr/$(get_libdir)/openldap ldap
+ # The user/group are only used for running daemons which are
+ # disabled in minimal builds, so elide the accounts too.
+ if ! use minimal ; then
+ enewgroup ldap 439
+ enewuser ldap 439 -1 /usr/$(get_libdir)/openldap ldap
+ fi
}
src_prepare() {
diff --git a/net-nds/openldap/openldap-2.4.44.ebuild b/net-nds/openldap/openldap-2.4.44.ebuild
index 1412f492e0c..e232b363676 100644
--- a/net-nds/openldap/openldap-2.4.44.ebuild
+++ b/net-nds/openldap/openldap-2.4.44.ebuild
@@ -301,8 +301,12 @@ pkg_setup() {
openldap_find_versiontags
fi
- enewgroup ldap 439
- enewuser ldap 439 -1 /usr/$(get_libdir)/openldap ldap
+ # The user/group are only used for running daemons which are
+ # disabled in minimal builds, so elide the accounts too.
+ if ! use minimal ; then
+ enewgroup ldap 439
+ enewuser ldap 439 -1 /usr/$(get_libdir)/openldap ldap
+ fi
}
src_prepare() {